#version 130
uniform sampler2D iChannel0;
uniform sampler2D tex0;
uniform sampler2D tex1;
uniform vec2 iResolution;
uniform float iGlobalTime;
void main() {
	vec2 uv = gl_FragCoord.xy/iResolution;
	gl_FragColor = texture2D(iChannel0, uv+vec2(sin(uv.y*12.+iGlobalTime),0.0)) + texture2D(tex1, uv);
}